/*
 * Copyright (C) 2003 Antonio Larrosa Jimnez <larrosa@kde.org>
 */

#ifndef _THETINTERVIEW_H_
#define _THETINTERVIEW_H_

#include <qwidget.h>
#include <kparts/part.h>
#include <thetinteriface.h>

class QPainter;
class KURL;

/**
 * This is the main view class for TheTinter.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Antonio Larrosa Jimnez <larrosa@kde.org>
 * @version 0.1
 */
class TheTinterView : public QWidget, public TheTinterIface
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    TheTinterView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~TheTinterView();

    /**
     * Random 'get' function
     */
    QString currentURL();

    /**
     * Random 'set' function accessed by DCOP
     */
    virtual void openURL(QString url);

    /**
     * Random 'set' function
     */
    virtual void openURL(const KURL& url);

};

#endif // _THETINTERVIEW_H_
