/***************************************************************************
 *   Copyright (C) 2003 by Antonio Larrosa Jimnez                         *
 *   larrosa@kde.org                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "centralview.h"
#include <qlabel.h>
#include <qpixmap.h>
#include <kdebug.h>

CentralView::CentralView(QWidget *parent, const char *name):
    CentralViewBase(parent, name)
{
  m_color=Qt::black;
}

CentralView::~CentralView()
{
}

void CentralView::setRed(int v)
{
   m_color.setRgb( v, m_color.green(), m_color.blue() );

   updatePixmap();
}

void CentralView::setGreen(int v)
{
   m_color.setRgb( m_color.red(), v, m_color.blue() );
   updatePixmap();
}

void CentralView::setBlue(int v)
{
   m_color.setRgb( m_color.red(), m_color.green(), v );
   updatePixmap();
}

void CentralView::updatePixmap()
{
   QPixmap pixmap(128,128);
   pixmap.fill(m_color);
   m_label->setPixmap(pixmap);
}

