/***************************************************************************
 *   Copyright (C) 2003 by Antonio Larrosa Jimnez                         *
 *   larrosa@kde.org                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "centralview.h"
#include <qlabel.h>
#include <qpixmap.h>
#include <qslider.h>
#include <qimage.h>
#include <kimageeffect.h>

CentralView::CentralView(QWidget *parent, const char *name):
    CentralViewBase(parent, name)
{
  m_color=Qt::black;
  connect(&m_timer, SIGNAL(timeout()), this, SLOT(updatePixmap()));
}

CentralView::~CentralView()
{
}

void CentralView::setRed(int v)
{
   m_color.setRgb( v, m_color.green(), m_color.blue() );
   m_timer.start(200,true);
}

void CentralView::setGreen(int v)
{
   m_color.setRgb( m_color.red(), v, m_color.blue() );
   m_timer.start(200,true);
}

void CentralView::setBlue(int v)
{
   m_color.setRgb( m_color.red(), m_color.green(), v );
   m_timer.start(200,true);
}

void CentralView::setAlpha(int v)
{
   m_timer.start(200,true);
}

void CentralView::updatePixmap()
{
   QImage image= m_pixmap.convertToImage();
   KImageEffect::blend(m_color, image, m_alpha->value()/100.0 );
   QPixmap pixmap;
   pixmap.convertFromImage(image);
   m_label->setPixmap(pixmap);
}

void CentralView::setPixmap(const QPixmap &pixmap)
{
   m_pixmap=pixmap;
   updatePixmap();
}

void CentralView::setColor(const QColor &color)
{
   m_red->setValue(color.red());
   m_green->setValue(color.green());
   m_blue->setValue(color.blue());
}
