
#ifndef CENTRALVIEW_H
#define CENTRALVIEW_H

#include <qwidget.h>
#include <qtimer.h>
#include <qpixmap.h>
#include <centralviewbase.h>

/**
 * The Central  View widget implementation
 * Antonio Larrosa Jim?ez
 **/
class CentralView : public CentralViewBase
{
Q_OBJECT
public:
    CentralView(QWidget *parent, const char *name);

    ~CentralView();

    /**
     * Sets which pixmap to tint
     */
    void setPixmap(const QPixmap &);
    
public slots:
    /**
     * Sets the red component of the color we're using to tint the image
     * @param component The value of the red component
     */
    void setRed(int v);
    /**
     * Sets the green component of the color we're using to tint the image
     * @param component The value of the green component
     */
    void setGreen(int v);
    /**
     * Sets the blue component of the color we're using to tint the image
     * @param component The value of the blue component
     */
    void setBlue(int v);
    /**
     * Sets the alpha component of the color we're using to tint the image
     * @param component The value of the alpha component
     */
    void setAlpha(int v);
    /**
     * Sets the color we're using to tint the image
     * @param component The color
     */
    void setColor(const QColor &color);

    void updatePixmap();

protected:
    /**
     * The color with which we tint the image
     */
    QColor m_color;

    /**
     * A timer that updates the pixmap when timed out
     */
    QTimer m_timer;

    /**
     * The pixmap
     */
    QPixmap m_pixmap;
};

#endif
