/*
 * Copyright (C) 2003 Antonio Larrosa Jimnez <larrosa@kde.org>
 */

#include "thetinterview.h"

#include <qlayout.h>
#include <kurl.h>
#include <kio/netaccess.h>
#include "centralview.h"

TheTinterView::TheTinterView(QWidget *parent)
    : QWidget(parent),
      DCOPObject("TheTinterIface")
{
    // setup our layout manager to automatically add our widgets
    QHBoxLayout *top_layout = new QHBoxLayout(this);
    top_layout->setAutoAdd(true);

    m_view=new CentralView(this, "centralview");

}

TheTinterView::~TheTinterView()
{
}

QString TheTinterView::currentURL()
{
//   return m_html->url().url();
     return QString::null;
}

void TheTinterView::openURL(QString url)
{
    openURL(KURL(url));
}

void TheTinterView::openURL(const KURL& url)
{
  QString tmpFile;
  if (KIO::NetAccess::download(url, tmpFile))
  {
    // load in the file (target is always local)
    QPixmap pixmap( tmpFile );
    m_view->setPixmap( tmpFile );

    // and remove the temp file
    KIO::NetAccess::removeTempFile(tmpFile);
  }

}

#include "thetinterview.moc"
