/*
 * Copyright (C) 2003 Antonio Larrosa Jimnez <larrosa@kde.org>
 */

#include "thetinterview.h"

#include <qlayout.h>
#include <kurl.h>
#include <ktempfile.h>
#include <kio/netaccess.h>
#include "centralview.h"

TheTinterView::TheTinterView(QWidget *parent)
    : QWidget(parent),
      DCOPObject("TheTinterIface")
{
    // setup our layout manager to automatically add our widgets
    QHBoxLayout *top_layout = new QHBoxLayout(this);
    top_layout->setAutoAdd(true);

    m_view=new CentralView(this, "centralview");

}

TheTinterView::~TheTinterView()
{
}

QString TheTinterView::currentURL()
{
//   return m_html->url().url();
     return QString::null;
}

void TheTinterView::openURL(QString url)
{
    openURL(KURL(url));
}

void TheTinterView::openURL(const KURL& url)
{
  QString tmpFile;
  if (KIO::NetAccess::download(url, tmpFile, this))
  {
    // load in the file (target is always local)
    QPixmap pixmap( tmpFile );
    m_view->setPixmap( tmpFile );

    // and remove the temp file
    KIO::NetAccess::removeTempFile(tmpFile);
  }

}

void TheTinterView::openPixmap(const QPixmap& pixmap)
{
  m_view->setPixmap( pixmap );
}

void TheTinterView::saveURL(const KURL &url)
{
  QString tmpFile;
  KTempFile *temp=0;
  if (url.isLocalFile())
     tmpFile=url.path();
  else
  {
     temp=new KTempFile;
     tmpFile=temp->name();
  }
  
  m_view->tintedPixmap()->save( tmpFile, "PNG");

  if (temp)
  {
     KIO::NetAccess::upload(tmpFile, url, this);
     temp->unlink();
     delete temp;
  }
}

#include "thetinterview.moc"
